\ProvidesClass{courslatex}

\newif\if@english
\DeclareOption{english}{\@englishtrue}
\ProcessOptions

\LoadClassWithOptions{beamer}
\RequirePackage{cmap}
\RequirePackage[cp1252]{inputenc}
\RequirePackage[T1]{fontenc}
\if@english
  \RequirePackage[ngerman,francais,american]{babel}
  \newcommand*{\contentsframe}[1][]{\begin{frame}\frametitle{Outline}%
    \tableofcontents[#1]\end{frame}}
\else
  \RequirePackage[american,ngerman,francais]{babel}
\fi
\RequirePackage{../../latex}
\RequirePackage{texnames}
\RequirePackage{array}
\RequirePackage{lmodern}
\RequirePackage{tikz}
\RequirePackage{booktabs}
\RequirePackage{textcomp}
\tikzset{>=stealth}
\RequirePackage{ragged2e}

\newenvironment{attention}{\begin{tabular}{m{.1\linewidth}m{.8\linewidth}}\includegraphics[width=\linewidth]{../../attention}&}{\end{tabular}}

\mode<presentation>
\usetheme[bodyframecount,public,modifications]{tptlibressavoirs}

\AtBeginSection[]{\contentsframe[subsectionstyle=show/show/hide,sectionstyle=show/shaded]}
\AtBeginSubsection[]{\contentsframe[subsectionstyle=show/shaded/hide,sectionstyle=show/shaded]}

\title{Cours \LaTeX{} EDITE de Paris}
\author{Pierre Senellart}
\email{<pierre.senellart@telecom-paristech.fr>}
\institute{Télécom ParisTech}
\dept{INFRES}

% Bring frame title height to a more reasonable value.
\setlength{\blocktitlebandheight}{12mm}
\setlength{\tptframetitleminheight}{10mm}
